import React from 'react';
import { BrowserRouter, Route, Routes } from 'react-router-dom';

/*some stylesheet is required to use react-bootstrip components*/
import 'bootstrap/dist/css/bootstrap.min.css';

import Contact from './pages/contact';
import NavBar from './components/nav-bar';
import TripUpdates from './pages/trip-updates';
import VehiclePositions from './pages/vehicle-positions';

export default function App() {
    return (
    //BrowserRouter is the router implementation for HTML5 browsers
    //Link enables Routes on an anchor tag
    //Switch returns only the first matching route rather than all
    //Route is the conditionally shown component //based on matching a path to a URL
        <BrowserRouter>
            <NavBar />
            <Routes>
                <Route path="/" element={<VehiclePositions />} />
                <Route path="/contact" element={<Contact />} />
		<Route path="/trip-updates" element={<TripUpdates />} />
		<Route path="/vehicle-positions" element={<VehiclePositions />} />
            </Routes>
        </BrowserRouter>
    );
}
