import React from 'react';
import PropTypes from 'prop-types';
import {Marker} from 'react-leaflet';

import PopupMsg from './popup-msg';
import getIcon from './icon';

const MarkerMsgPlus = ({ message }) => {

    if(message === undefined || message === null){
	console.error('message undefined or null');
	return null;
    }else{
	//console.log(`MarkerMsgPlus: tripId: ${message.tripId}`);
	const markerIcon=getIcon();
	if(markerIcon === null || markerIcon === undefined){
	    console.error('MarkerMsgPlus: icon null');
	    return null;
	}else if(message.latitude === null || message.latitude === undefined) {
	    //console.error('MarkerMsgPlus: lat unavailable');
	    return null;
	}else if(message.longitude === null || message.longitude === undefined) {
	    //console.error('MarkerMsgPlus: lon unavailable');
	    return null;
	}else{
	    return(
	    <>
		<Marker
		    position={[message.latitude, message.longitude]}
		    icon={markerIcon}
		>
		    <PopupMsg message={message} />
		</Marker>
	    </>
	);
	}
    }
}
export default MarkerMsgPlus;


MarkerMsgPlus.propTypes = {
    message: PropTypes.object
};
